<?php
defined('_JEXEC') or die('Restricted access');
/**
 * lente di ingrandimento per i prodotti di virtuemart 2.0.x
 *
 * @author marco maria leoni
 * @link http://www.mmleoni.net
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 *
 * per il software della lente
 * @author Marco Renzi
 * @link http://www.mind-projects.it/projects/jqzoom/
 */
 
$doc = JFactory::getDocument ();
$tmpl = JApplication::getInstance('site')->getTemplate();
$doc->addScript("/templates/{$tmpl}/js/jquery.jqzoom-core-pack.js", 'text/javascript');
$doc->addStyleSheet("/templates/{$tmpl}/css/jquery.jqzoom.css");
$doc->addStyleSheet("/templates/{$tmpl}/css/jquery.jqzoom.custom.css");

$imageJS = "
jQuery(document).ready(function() {
	jQuery('.jqzoom').jqzoom({
            zoomType: 'standard',
            lens:true,
            preloadImages: false,
            alwaysOn:false,
			zoomWidth: 400
        });
	
});
";
$doc->addScriptDeclaration ($imageJS);
?>

<?php if (!empty($this->product->images)): ?>

	<?php $image = $this->product->images[0]; ?>
	<div class="mainImage">
		<a href="/<?php echo ($image->file_url); ?>" class="jqzoom" rel='galproducts'  title="<?php echo ($image->file_title); ?>" style="text-decoration:none; float:left;">
			<img src="/<?php echo ($image->file_url_thumb); ?>"  title="<?php echo ($image->file_title); ?>"  style="border: 4px solid #666;">
		</a>
		<div class="clear"></div>
	</div>
	
	<div class="additionalImages">
		<?php $i = 0; foreach ($this->product->images as $image): ?>
			<div>
				<a class="<?php echo ($i?"":"zoomThumbActive"); ?>" href='javascript:void(0);' rel="{gallery: 'galproducts', smallimage: '/<?php echo ($image->file_url_thumb); ?>',largeimage: '/<?php echo ($image->file_url); ?>'}">
					<img src='/<?php echo ($image->file_url_thumb); ?>'>
				</a>
			</div>
		<?php $i++; endforeach; ?>
		<div class="clear"></div>
	</div>
<?php endif; ?>
